{ lib, vscode-utils }: with vscode-utils; {
  rust-lang.rust = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "rust-lang";
      name = "rust";
      version = "0.7.8";
      sha256 = "sha256-Y33agSNMVmaVCQdYd5mzwjiK5JTZTtzTkmSGTQrSNg0=";
    };
    meta.license = lib.licenses.mit;
  };

  sirtori.indenticator = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "sirtori";
      name = "indenticator";
      version = "0.7.0";
      sha256 = "sha256-J5iNO6V5US+GFyNjNNA5u9H2pKPozWKjQWcLAhl+BjY=";
    };
    meta.license = lib.licenses.mit;
  };

  laurenttreguier.vscode-simple-icons = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "laurenttreguier";
      name = "vscode-simple-icons";
      version = "1.16.0";
      sha256 = "sha256-dFJ3elMHSUyS/hAY0YovL4MxurV9YQmkqFjXgJNDErs=";
    };
    meta.license = lib.licenses.cc0;
  };
   
  Gimly81.matlab = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "Gimly81";
      name = "matlab";
      version = "2.3.1";
      sha256 = "sha256-0vx5L9efxvubb+JFunJJKaPvSxfgmYZkDJOxpXAV6xs=";
    };
    meta.license = lib.licenses.mit;
  };

  toasty-technologies.octave = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "toasty-technologies";
      name = "octave";
      version = "0.0.3";
      sha256 = "sha256-tbqblaBX+wqgasfGLsFp49xYxXi5CF39YPYs0QyANt0=";
    };
  };

  zhwu95.riscv = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "zhwu95";
      name = "riscv";
      version = "0.0.8";
      sha256 = "sha256-PXaHSEXoN0ZboHIoDg37tZ+Gv6xFXP4wGBS3YS/53TY=";
    };
  };

  tomoki1207.pdf = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "tomoki1207";
      name = "pdf";
      version = "1.2.0";
      sha256 = "sha256-/2u2yfAmSVBvfXIMt2VokkeYH8q8Y9Ca9YSDuwwpkq0=";
    };
  };
# para obtener el sha: lib.fakeSha256
}
